Index: /trunk/src/wp-includes/js/media/views.js
===================================================================
--- /trunk/src/wp-includes/js/media/views.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views.js	(revision 31935)
@@ -36,5 +36,5 @@
  */
 var Selection = wp.media.model.Selection,
-	Library = require( './library.js' ),
+	Library = wp.media.controller.Library,
 	CollectionAdd;
 
@@ -102,5 +102,5 @@
 module.exports = CollectionAdd;
 
-},{"./library.js":10}],2:[function(require,module,exports){
+},{}],2:[function(require,module,exports){
 /*globals wp, Backbone */
 
@@ -139,7 +139,5 @@
  * @param {string}                     attributes.collectionType         The collection type. (e.g. 'playlist').
  */
-var Library = require( './library.js' ),
-	View = require( '../views/view.js' ),
-	EditLibraryView = require( '../views/attachment/edit-library.js' ),
+var Library = wp.media.controller.Library,
 	l10n = wp.media.view.l10n,
 	$ = jQuery,
@@ -180,5 +178,5 @@
 		// The single `Attachment` view to be used in the `Attachments` view.
 		if ( ! this.get('AttachmentView') ) {
-			this.set( 'AttachmentView', EditLibraryView );
+			this.set( 'AttachmentView', wp.media.view.Attachment.EditLibrary );
 		}
 		Library.prototype.initialize.apply( this, arguments );
@@ -246,5 +244,5 @@
 
 		if ( dragInfoText ) {
-			attachmentsBrowserView.toolbar.set( 'dragInfo', new View({
+			attachmentsBrowserView.toolbar.set( 'dragInfo', new wp.media.View({
 				el: $( '<div class="instructions">' + dragInfoText + '</div>' )[0],
 				priority: -40
@@ -266,5 +264,5 @@
 module.exports = CollectionEdit;
 
-},{"../views/attachment/edit-library.js":25,"../views/view.js":71,"./library.js":10}],3:[function(require,module,exports){
+},{}],3:[function(require,module,exports){
 /*globals wp, _, Backbone */
 
@@ -278,11 +276,8 @@
  * @augments Backbone.Model
  */
-var State = require( './state.js' ),
-	ToolbarView = require( '../views/toolbar.js' ),
-	CropperView = require( '../views/cropper.js' ),
-	l10n = wp.media.view.l10n,
+var l10n = wp.media.view.l10n,
 	Cropper;
 
-Cropper = State.extend({
+Cropper = wp.media.controller.State.extend({
 	defaults: {
 		id:          'cropper',
@@ -307,5 +302,5 @@
 
 	createCropContent: function() {
-		this.cropperView = new CropperView({
+		this.cropperView = new wp.media.view.Cropper({
 			controller: this,
 			attachment: this.get('selection').first()
@@ -373,5 +368,5 @@
 		}
 
-		this.frame.toolbar.set( new ToolbarView(toolbarOptions) );
+		this.frame.toolbar.set( new wp.media.view.Toolbar(toolbarOptions) );
 	},
 
@@ -387,5 +382,5 @@
 module.exports = Cropper;
 
-},{"../views/cropper.js":34,"../views/toolbar.js":63,"./state.js":15}],4:[function(require,module,exports){
+},{}],4:[function(require,module,exports){
 /*globals wp */
 
@@ -408,10 +403,8 @@
  * @param {string}                    [attributes.url]                Unused. @todo Consider removal.
  */
-var State = require( './state.js' ),
-	ToolbarView = require( '../views/toolbar.js' ),
-	l10n = wp.media.view.l10n,
+var l10n = wp.media.view.l10n,
 	EditImage;
 
-EditImage = State.extend({
+EditImage = wp.media.controller.State.extend({
 	defaults: {
 		id:      'edit-image',
@@ -445,5 +438,5 @@
 			previous = lastState && lastState.id;
 
-		frame.toolbar.set( new ToolbarView({
+		frame.toolbar.set( new wp.media.view.Toolbar({
 			controller: frame,
 			items: {
@@ -467,5 +460,5 @@
 module.exports = EditImage;
 
-},{"../views/toolbar.js":63,"./state.js":15}],5:[function(require,module,exports){
+},{}],5:[function(require,module,exports){
 /*globals wp, _, Backbone */
 
@@ -491,10 +484,9 @@
  * @param {object} [attributes.metadata={}]           Properties of the embed, which will override attributes.url if set.
  */
-var State = require( './state.js' ),
-	l10n = wp.media.view.l10n,
+var l10n = wp.media.view.l10n,
 	$ = Backbone.$,
 	Embed;
 
-Embed = State.extend({
+Embed = wp.media.controller.State.extend({
 	defaults: {
 		id:       'embed',
@@ -606,5 +598,5 @@
 module.exports = Embed;
 
-},{"./state.js":15}],6:[function(require,module,exports){
+},{}],6:[function(require,module,exports){
 /*globals wp, _ */
 
@@ -641,5 +633,5 @@
  */
 var Attachment = wp.media.model.Attachment,
-	Library = require( './library.js' ),
+	Library = wp.media.controller.Library,
 	l10n = wp.media.view.l10n,
 	FeaturedImage;
@@ -730,5 +722,5 @@
 module.exports = FeaturedImage;
 
-},{"./library.js":10}],7:[function(require,module,exports){
+},{}],7:[function(require,module,exports){
 /*globals wp, _ */
 
@@ -765,5 +757,5 @@
  */
 var Selection = wp.media.model.Selection,
-	Library = require( './library.js' ),
+	Library = wp.media.controller.Library,
 	l10n = wp.media.view.l10n,
 	GalleryAdd;
@@ -823,5 +815,5 @@
 module.exports = GalleryAdd;
 
-},{"./library.js":10}],8:[function(require,module,exports){
+},{}],8:[function(require,module,exports){
 /*globals wp */
 
@@ -857,7 +849,5 @@
  *                                                                        If none supplied, defaults to wp.media.view.Attachment.EditLibrary.
  */
-var Library = require( './library.js' ),
-	EditLibraryView = require( '../views/attachment/edit-library.js' ),
-	GallerySettingsView = require( '../views/settings/gallery.js' ),
+var Library = wp.media.controller.Library,
 	l10n = wp.media.view.l10n,
 	GalleryEdit;
@@ -893,5 +883,5 @@
 		// The single `Attachment` view to be used in the `Attachments` view.
 		if ( ! this.get('AttachmentView') ) {
-			this.set( 'AttachmentView', EditLibraryView );
+			this.set( 'AttachmentView', wp.media.view.Attachment.EditLibrary );
 		}
 
@@ -947,5 +937,5 @@
 
 		browser.sidebar.set({
-			gallery: new GallerySettingsView({
+			gallery: new wp.media.view.Settings.Gallery({
 				controller: this,
 				model:      library.gallery,
@@ -967,5 +957,5 @@
 module.exports = GalleryEdit;
 
-},{"../views/attachment/edit-library.js":25,"../views/settings/gallery.js":59,"./library.js":10}],9:[function(require,module,exports){
+},{}],9:[function(require,module,exports){
 /*globals wp, _ */
 
@@ -994,6 +984,6 @@
  *       however this may not do anything.
  */
-var State = require( './state.js' ),
-	Library = require( './library.js' ),
+var State = wp.media.controller.State,
+	Library = wp.media.controller.Library,
 	l10n = wp.media.view.l10n,
 	ImageDetails;
@@ -1031,5 +1021,5 @@
 module.exports = ImageDetails;
 
-},{"./library.js":10,"./state.js":15}],10:[function(require,module,exports){
+},{}],10:[function(require,module,exports){
 /*globals wp, _, Backbone */
 
@@ -1068,12 +1058,10 @@
  * @param {boolean}                         [attributes.syncSelection=true]      Whether the Attachments selection should be persisted from the last state.
  */
-var selectionSync = require( '../utils/selection-sync.js' ),
-	State = require( './state.js' ),
-	l10n = wp.media.view.l10n,
+var l10n = wp.media.view.l10n,
 	getUserSetting = window.getUserSetting,
 	setUserSetting = window.setUserSetting,
 	Library;
 
-Library = State.extend({
+Library = wp.media.controller.State.extend({
 	defaults: {
 		id:                 'library',
@@ -1303,9 +1291,9 @@
 
 // Make selectionSync available on any Media Library state.
-_.extend( Library.prototype, selectionSync );
+_.extend( Library.prototype, wp.media.selectionSync );
 
 module.exports = Library;
 
-},{"../utils/selection-sync.js":16,"./state.js":15}],11:[function(require,module,exports){
+},{}],11:[function(require,module,exports){
 /*globals wp, _ */
 
@@ -1318,5 +1306,5 @@
  * @augments Backbone.Model
  */
-var Library = require( './library.js' ),
+var Library = wp.media.controller.Library,
 	MediaLibrary;
 
@@ -1359,5 +1347,5 @@
 module.exports = MediaLibrary;
 
-},{"./library.js":10}],12:[function(require,module,exports){
+},{}],12:[function(require,module,exports){
 /*globals Backbone, _ */
 
@@ -1574,5 +1562,5 @@
  * @param {boolean}                    [attributes.syncSelection=true]      Whether the Attachments selection should be persisted from the last state.
  */
-var Library = require( './library.js' ),
+var Library = wp.media.controller.Library,
 	l10n = wp.media.view.l10n,
 	ReplaceImage;
@@ -1650,5 +1638,5 @@
 module.exports = ReplaceImage;
 
-},{"./library.js":10}],14:[function(require,module,exports){
+},{}],14:[function(require,module,exports){
 /*globals _, Backbone */
 
@@ -2249,5 +2237,5 @@
  * @augments Backbone.View
  */
-var View = require( './view.js' ),
+var View = wp.media.View,
 	AttachmentCompat;
 
@@ -2323,5 +2311,5 @@
 module.exports = AttachmentCompat;
 
-},{"./view.js":71}],19:[function(require,module,exports){
+},{}],19:[function(require,module,exports){
 /*globals _, jQuery */
 
@@ -2334,9 +2322,8 @@
  * @augments Backbone.View
  */
-var View = require( './view.js' ),
-	$ = jQuery,
+var $ = jQuery,
 	AttachmentFilters;
 
-AttachmentFilters = View.extend({
+AttachmentFilters = wp.media.View.extend({
 	tagName:   'select',
 	className: 'attachment-filters',
@@ -2403,5 +2390,5 @@
 module.exports = AttachmentFilters;
 
-},{"./view.js":71}],20:[function(require,module,exports){
+},{}],20:[function(require,module,exports){
 /*globals wp */
 
@@ -2415,9 +2402,8 @@
  * @augments Backbone.View
  */
-var AttachmentFilters = require( '../attachment-filters.js' ),
-	l10n = wp.media.view.l10n,
+var l10n = wp.media.view.l10n,
 	All;
 
-All = AttachmentFilters.extend({
+All = wp.media.view.AttachmentFilters.extend({
 	createFilters: function() {
 		var filters = {};
@@ -2496,5 +2482,5 @@
 module.exports = All;
 
-},{"../attachment-filters.js":19}],21:[function(require,module,exports){
+},{}],21:[function(require,module,exports){
 /*globals wp, _ */
 
@@ -2508,9 +2494,8 @@
  * @augments Backbone.View
  */
-var AttachmentFilters = require( '../attachment-filters.js' ),
-	l10n = wp.media.view.l10n,
+var l10n = wp.media.view.l10n,
 	DateFilter;
 
-DateFilter = AttachmentFilters.extend({
+DateFilter = wp.media.view.AttachmentFilters.extend({
 	id: 'media-attachment-date-filters',
 
@@ -2540,5 +2525,5 @@
 module.exports = DateFilter;
 
-},{"../attachment-filters.js":19}],22:[function(require,module,exports){
+},{}],22:[function(require,module,exports){
 /*globals wp */
 
@@ -2552,9 +2537,8 @@
  * @augments Backbone.View
  */
-var AttachmentFilters = require( '../attachment-filters.js' ),
-	l10n = wp.media.view.l10n,
+var l10n = wp.media.view.l10n,
 	Uploaded;
 
-Uploaded = AttachmentFilters.extend({
+Uploaded = wp.media.view.AttachmentFilters.extend({
 	createFilters: function() {
 		var type = this.model.get('type'),
@@ -2602,5 +2586,5 @@
 module.exports = Uploaded;
 
-},{"../attachment-filters.js":19}],23:[function(require,module,exports){
+},{}],23:[function(require,module,exports){
 /*globals wp, _, jQuery */
 
@@ -2613,5 +2597,5 @@
  * @augments Backbone.View
  */
-var View = require( './view.js' ),
+var View = wp.media.View,
 	$ = jQuery,
 	Attachment;
@@ -3159,5 +3143,5 @@
 module.exports = Attachment;
 
-},{"./view.js":71}],24:[function(require,module,exports){
+},{}],24:[function(require,module,exports){
 /*globals wp, _ */
 
@@ -3171,5 +3155,5 @@
  * @augments Backbone.View
  */
-var Attachment = require( '../attachment.js' ),
+var Attachment = wp.media.view.Attachment,
 	l10n = wp.media.view.l10n,
 	Details;
@@ -3316,5 +3300,7 @@
 module.exports = Details;
 
-},{"../attachment.js":23}],25:[function(require,module,exports){
+},{}],25:[function(require,module,exports){
+/*globals wp */
+
 /**
  * wp.media.view.Attachment.EditLibrary
@@ -3326,8 +3312,5 @@
  * @augments Backbone.View
  */
-var Attachment = require( '../attachment.js' ),
-	EditLibrary;
-
-EditLibrary = Attachment.extend({
+var EditLibrary = wp.media.view.Attachment.extend({
 	buttons: {
 		close: true
@@ -3337,5 +3320,7 @@
 module.exports = EditLibrary;
 
-},{"../attachment.js":23}],26:[function(require,module,exports){
+},{}],26:[function(require,module,exports){
+/*globals wp */
+
 /**
  * wp.media.view.Attachments.EditSelection
@@ -3348,8 +3333,5 @@
  * @augments Backbone.View
  */
-var Selection = require( './selection.js' ),
-	EditSelection;
-
-EditSelection = Selection.extend({
+var EditSelection = wp.media.view.Attachment.Selection.extend({
 	buttons: {
 		close: true
@@ -3359,5 +3341,7 @@
 module.exports = EditSelection;
 
-},{"./selection.js":28}],27:[function(require,module,exports){
+},{}],27:[function(require,module,exports){
+/*globals wp */
+
 /**
  * wp.media.view.Attachment.Library
@@ -3369,8 +3353,5 @@
  * @augments Backbone.View
  */
-var Attachment = require( '../attachment.js' ),
-	Library;
-
-Library = Attachment.extend({
+var Library = wp.media.view.Attachment.extend({
 	buttons: {
 		check: true
@@ -3380,5 +3361,7 @@
 module.exports = Library;
 
-},{"../attachment.js":23}],28:[function(require,module,exports){
+},{}],28:[function(require,module,exports){
+/*globals wp */
+
 /**
  * wp.media.view.Attachment.Selection
@@ -3390,8 +3373,5 @@
  * @augments Backbone.View
  */
-var Attachment = require( '../attachment.js' ),
-	Selection;
-
-Selection = Attachment.extend({
+var Selection = wp.media.view.Attachment.extend({
 	className: 'attachment selection',
 
@@ -3405,5 +3385,5 @@
 module.exports = Selection;
 
-},{"../attachment.js":23}],29:[function(require,module,exports){
+},{}],29:[function(require,module,exports){
 /*globals wp, _, jQuery */
 
@@ -3416,6 +3396,5 @@
  * @augments Backbone.View
  */
-var View = require( './view.js' ),
-	Attachment = require( './attachment.js' ),
+var View = wp.media.View,
 	$ = jQuery,
 	Attachments;
@@ -3435,5 +3414,5 @@
 			refreshSensitivity: wp.media.isTouchDevice ? 300 : 200,
 			refreshThreshold:   3,
-			AttachmentView:     Attachment,
+			AttachmentView:     wp.media.view.Attachment,
 			sortable:           false,
 			resize:             true,
@@ -3707,5 +3686,5 @@
 module.exports = Attachments;
 
-},{"./attachment.js":23,"./view.js":71}],30:[function(require,module,exports){
+},{}],30:[function(require,module,exports){
 /*globals wp, _, jQuery */
 
@@ -3730,20 +3709,5 @@
  *                                              Accepts true, false, and 'errors'.
  */
-var View = require( '../view.js' ),
-	Library = require( '../attachment/library.js' ),
-	Toolbar = require( '../toolbar.js' ),
-	Spinner = require( '../spinner.js' ),
-	Search = require( '../search.js' ),
-	Label = require( '../label.js' ),
-	Uploaded = require( '../attachment-filters/uploaded.js' ),
-	All = require( '../attachment-filters/all.js' ),
-	DateFilter = require( '../attachment-filters/date.js' ),
-	UploaderInline = require( '../uploader/inline.js' ),
-	Attachments = require( '../attachments.js' ),
-	Sidebar = require( '../sidebar.js' ),
-	UploaderStatus = require( '../uploader/status.js' ),
-	Details = require( '../attachment/details.js' ),
-	AttachmentCompat = require( '../attachment-compat.js' ),
-	AttachmentDisplay = require( '../settings/attachment-display.js' ),
+var View = wp.media.View,
 	mediaTrash = wp.media.view.settings.mediaTrash,
 	l10n = wp.media.view.l10n,
@@ -3762,5 +3726,5 @@
 			display: false,
 			sidebar: true,
-			AttachmentView: Library
+			AttachmentView: wp.media.view.Attachment.Library
 		});
 
@@ -3813,9 +3777,9 @@
 		* @member {wp.media.view.Toolbar}
 		*/
-		this.toolbar = new Toolbar( toolbarOptions );
+		this.toolbar = new wp.media.view.Toolbar( toolbarOptions );
 
 		this.views.add( this.toolbar );
 
-		this.toolbar.set( 'spinner', new Spinner({
+		this.toolbar.set( 'spinner', new wp.media.view.Spinner({
 			priority: -60
 		}) );
@@ -3824,5 +3788,5 @@
 			// "Filters" will return a <select>, need to render
 			// screen reader text before
-			this.toolbar.set( 'filtersLabel', new Label({
+			this.toolbar.set( 'filtersLabel', new wp.media.view.Label({
 				value: l10n.filterByType,
 				attributes: {
@@ -3833,5 +3797,5 @@
 
 			if ( 'uploaded' === this.options.filters ) {
-				this.toolbar.set( 'filters', new Uploaded({
+				this.toolbar.set( 'filters', new wp.media.view.AttachmentFilters.Uploaded({
 					controller: this.controller,
 					model:      this.collection.props,
@@ -3839,5 +3803,5 @@
 				}).render() );
 			} else {
-				Filters = new All({
+				Filters = new wp.media.view.AttachmentFilters.All({
 					controller: this.controller,
 					model:      this.collection.props,
@@ -3864,5 +3828,5 @@
 
 			// DateFilter is a <select>, screen reader text needs to be rendered before
-			this.toolbar.set( 'dateFilterLabel', new Label({
+			this.toolbar.set( 'dateFilterLabel', new wp.media.view.Label({
 				value: l10n.filterByDate,
 				attributes: {
@@ -3871,5 +3835,5 @@
 				priority: -75
 			}).render() );
-			this.toolbar.set( 'dateFilter', new DateFilter({
+			this.toolbar.set( 'dateFilter', new wp.media.view.DateFilter({
 				controller: this.controller,
 				model:      this.collection.props,
@@ -3975,5 +3939,5 @@
 		} else if ( this.options.date ) {
 			// DateFilter is a <select>, screen reader text needs to be rendered before
-			this.toolbar.set( 'dateFilterLabel', new Label({
+			this.toolbar.set( 'dateFilterLabel', new wp.media.view.Label({
 				value: l10n.filterByDate,
 				attributes: {
@@ -3982,5 +3946,5 @@
 				priority: -75
 			}).render() );
-			this.toolbar.set( 'dateFilter', new DateFilter({
+			this.toolbar.set( 'dateFilter', new wp.media.view.DateFilter({
 				controller: this.controller,
 				model:      this.collection.props,
@@ -3991,5 +3955,5 @@
 		if ( this.options.search ) {
 			// Search is an input, screen reader text needs to be rendered before
-			this.toolbar.set( 'searchLabel', new Label({
+			this.toolbar.set( 'searchLabel', new wp.media.view.Label({
 				value: l10n.searchMediaLabel,
 				attributes: {
@@ -3998,5 +3962,5 @@
 				priority:   60
 			}).render() );
-			this.toolbar.set( 'search', new Search({
+			this.toolbar.set( 'search', new wp.media.view.Search({
 				controller: this.controller,
 				model:      this.collection.props,
@@ -4047,5 +4011,5 @@
 
 	createUploader: function() {
-		this.uploader = new UploaderInline({
+		this.uploader = new wp.media.view.UploaderInline({
 			controller: this.controller,
 			status:     false,
@@ -4067,5 +4031,5 @@
 
 	createAttachments: function() {
-		this.attachments = new Attachments({
+		this.attachments = new wp.media.view.Attachments({
 			controller:           this.controller,
 			collection:           this.collection,
@@ -4103,5 +4067,5 @@
 		var options = this.options,
 			selection = options.selection,
-			sidebar = this.sidebar = new Sidebar({
+			sidebar = this.sidebar = new wp.media.view.Sidebar({
 				controller: this.controller
 			});
@@ -4110,5 +4074,5 @@
 
 		if ( this.controller.uploader ) {
-			sidebar.set( 'uploads', new UploaderStatus({
+			sidebar.set( 'uploads', new wp.media.view.UploaderStatus({
 				controller: this.controller,
 				priority:   40
@@ -4128,5 +4092,5 @@
 			single = this.options.selection.single();
 
-		sidebar.set( 'details', new Details({
+		sidebar.set( 'details', new wp.media.view.Attachment.Details({
 			controller: this.controller,
 			model:      single,
@@ -4134,5 +4098,5 @@
 		}) );
 
-		sidebar.set( 'compat', new AttachmentCompat({
+		sidebar.set( 'compat', new wp.media.view.AttachmentCompat({
 			controller: this.controller,
 			model:      single,
@@ -4141,5 +4105,5 @@
 
 		if ( this.options.display ) {
-			sidebar.set( 'display', new AttachmentDisplay({
+			sidebar.set( 'display', new wp.media.view.Settings.AttachmentDisplay({
 				controller:   this.controller,
 				model:        this.model.display( single ),
@@ -4168,6 +4132,6 @@
 module.exports = AttachmentsBrowser;
 
-},{"../attachment-compat.js":18,"../attachment-filters/all.js":20,"../attachment-filters/date.js":21,"../attachment-filters/uploaded.js":22,"../attachment/details.js":24,"../attachment/library.js":27,"../attachments.js":29,"../label.js":47,"../search.js":55,"../settings/attachment-display.js":58,"../sidebar.js":61,"../spinner.js":62,"../toolbar.js":63,"../uploader/inline.js":67,"../uploader/status.js":69,"../view.js":71}],31:[function(require,module,exports){
-/*globals _ */
+},{}],31:[function(require,module,exports){
+/*globals wp, _ */
 
 /**
@@ -4180,6 +4144,5 @@
  * @augments Backbone.View
  */
-var Attachments = require( '../attachments.js' ),
-	AttachmentSelection = require( '../attachment/selection.js' ),
+var Attachments = wp.media.view.Attachments,
 	Selection;
 
@@ -4192,5 +4155,5 @@
 
 			// The single `Attachment` view to be used in the `Attachments` view.
-			AttachmentView: AttachmentSelection
+			AttachmentView: wp.media.view.Attachment.Selection
 		});
 		// Call 'initialize' directly on the parent class.
@@ -4201,5 +4164,5 @@
 module.exports = Selection;
 
-},{"../attachment/selection.js":28,"../attachments.js":29}],32:[function(require,module,exports){
+},{}],32:[function(require,module,exports){
 /*globals _, Backbone */
 
@@ -4212,10 +4175,8 @@
  * @augments Backbone.View
  */
-var View = require( './view.js' ),
-	Button = require( './button.js' ),
-	$ = Backbone.$,
+var $ = Backbone.$,
 	ButtonGroup;
 
-ButtonGroup = View.extend({
+ButtonGroup = wp.media.View.extend({
 	tagName:   'div',
 	className: 'button-group button-large media-button-group',
@@ -4229,5 +4190,5 @@
 				return button;
 			} else {
-				return new Button( button ).render();
+				return new wp.media.view.Button( button ).render();
 			}
 		});
@@ -4251,5 +4212,5 @@
 module.exports = ButtonGroup;
 
-},{"./button.js":33,"./view.js":71}],33:[function(require,module,exports){
+},{}],33:[function(require,module,exports){
 /*globals _, Backbone */
 
@@ -4262,8 +4223,5 @@
  * @augments Backbone.View
  */
-var View = require( './view.js' ),
-	Button;
-
-Button = View.extend({
+var Button = wp.media.View.extend({
 	tagName:    'a',
 	className:  'media-button',
@@ -4342,5 +4300,5 @@
 module.exports = Button;
 
-},{"./view.js":71}],34:[function(require,module,exports){
+},{}],34:[function(require,module,exports){
 /*globals wp, _, jQuery */
 
@@ -4359,7 +4317,6 @@
  * @augments Backbone.View
  */
-var View = require( './view.js' ),
-	UploaderStatusError = require( './uploader/status-error.js' ),
-	UploaderStatus = require( './uploader/status.js' ),
+var View = wp.media.View,
+	UploaderStatus = wp.media.view.UploaderStatus,
 	l10n = wp.media.view.l10n,
 	$ = jQuery,
@@ -4403,5 +4360,5 @@
 		var filename = this.options.attachment.get('filename');
 
-		this.views.add( '.upload-errors', new UploaderStatusError({
+		this.views.add( '.upload-errors', new wp.media.view.UploaderStatusError({
 			filename: UploaderStatus.prototype.filename(filename),
 			message: window._wpMediaViewsL10n.cropError
@@ -4412,5 +4369,5 @@
 module.exports = Cropper;
 
-},{"./uploader/status-error.js":68,"./uploader/status.js":69,"./view.js":71}],35:[function(require,module,exports){
+},{}],35:[function(require,module,exports){
 /*globals wp, _ */
 
@@ -4423,5 +4380,5 @@
  * @augments Backbone.View
  */
-var View = require( './view.js' ),
+var View = wp.media.View,
 	EditImage;
 
@@ -4470,5 +4427,5 @@
 module.exports = EditImage;
 
-},{"./view.js":71}],36:[function(require,module,exports){
+},{}],36:[function(require,module,exports){
 /**
  * wp.media.view.Embed
@@ -4479,11 +4436,5 @@
  * @augments Backbone.View
  */
-var View = require( './view.js' ),
-	EmbedImage = require( './embed/image.js' ),
-	EmbedLink = require( './embed/link.js' ),
-	EmbedUrl = require( './embed/url.js' ),
-	Embed;
-
-Embed = View.extend({
+var Embed = wp.media.View.extend({
 	className: 'media-embed',
 
@@ -4492,5 +4443,5 @@
 		 * @member {wp.media.view.EmbedUrl}
 		 */
-		this.url = new EmbedUrl({
+		this.url = new wp.media.view.EmbedUrl({
 			controller: this.controller,
 			model:      this.model.props
@@ -4519,7 +4470,7 @@
 
 		if ( 'image' === type ) {
-			constructor = EmbedImage;
+			constructor = wp.media.view.EmbedImage;
 		} else if ( 'link' === type ) {
-			constructor = EmbedLink;
+			constructor = wp.media.view.EmbedLink;
 		} else {
 			return;
@@ -4540,5 +4491,5 @@
 module.exports = Embed;
 
-},{"./embed/image.js":37,"./embed/link.js":38,"./embed/url.js":39,"./view.js":71}],37:[function(require,module,exports){
+},{}],37:[function(require,module,exports){
 /*globals wp */
 
@@ -4553,5 +4504,5 @@
  * @augments Backbone.View
  */
-var AttachmentDisplay = require( '../settings/attachment-display.js' ),
+var AttachmentDisplay = wp.media.view.Settings.AttachmentDisplay,
 	EmbedImage;
 
@@ -4575,5 +4526,5 @@
 module.exports = EmbedImage;
 
-},{"../settings/attachment-display.js":58}],38:[function(require,module,exports){
+},{}],38:[function(require,module,exports){
 /*globals wp, _, jQuery */
 
@@ -4587,9 +4538,8 @@
  * @augments Backbone.View
  */
-var Settings = require( '../settings.js' ),
-	$ = jQuery,
+var $ = jQuery,
 	EmbedLink;
 
-EmbedLink = Settings.extend({
+EmbedLink = wp.media.view.Settings.extend({
 	className: 'embed-link-settings',
 	template:  wp.template('embed-link-settings'),
@@ -4682,5 +4632,5 @@
 module.exports = EmbedLink;
 
-},{"../settings.js":57}],39:[function(require,module,exports){
+},{}],39:[function(require,module,exports){
 /*globals wp, _, jQuery */
 
@@ -4693,5 +4643,5 @@
  * @augments Backbone.View
  */
-var View = require( '../view.js' ),
+var View = wp.media.View,
 	$ = jQuery,
 	EmbedUrl;
@@ -4763,5 +4713,5 @@
 module.exports = EmbedUrl;
 
-},{"../view.js":71}],40:[function(require,module,exports){
+},{}],40:[function(require,module,exports){
 /**
  * wp.media.view.FocusManager
@@ -4772,8 +4722,5 @@
  * @augments Backbone.View
  */
-var View = require( './view.js' ),
-	FocusManager;
-
-FocusManager = View.extend({
+var FocusManager = wp.media.View.extend({
 
 	events: {
@@ -4812,5 +4759,5 @@
 module.exports = FocusManager;
 
-},{"./view.js":71}],41:[function(require,module,exports){
+},{}],41:[function(require,module,exports){
 /*globals _, Backbone */
 
@@ -4830,11 +4777,5 @@
  * @mixes wp.media.controller.StateMachine
  */
-var StateMachine = require( '../controllers/state-machine.js' ),
-	State = require( '../controllers/state.js' ),
-	Region = require( '../controllers/region.js' ),
-	View = require( './view.js' ),
-	Frame;
-
-Frame = View.extend({
+var Frame = wp.media.View.extend({
 	initialize: function() {
 		_.defaults( this.options, {
@@ -4852,5 +4793,5 @@
 		// Initialize regions.
 		_.each( this.regions, function( region ) {
-			this[ region ] = new Region({
+			this[ region ] = new wp.media.controller.Region({
 				view:     this,
 				id:       region,
@@ -4870,5 +4811,5 @@
 		// Create the default `states` collection.
 		this.states = new Backbone.Collection( null, {
-			model: State
+			model: wp.media.controller.State
 		});
 
@@ -4982,9 +4923,9 @@
 
 // Make the `Frame` a `StateMachine`.
-_.extend( Frame.prototype, StateMachine.prototype );
+_.extend( Frame.prototype, wp.media.controller.StateMachine.prototype );
 
 module.exports = Frame;
 
-},{"../controllers/region.js":12,"../controllers/state-machine.js":14,"../controllers/state.js":15,"./view.js":71}],42:[function(require,module,exports){
+},{}],42:[function(require,module,exports){
 /*globals wp */
 
@@ -5004,11 +4945,5 @@
  * @mixes wp.media.controller.StateMachine
  */
-var Select = require( './select.js' ),
-	Toolbar = require( '../toolbar.js' ),
-	ImageDetailsController = require( '../../controllers/image-details.js' ),
-	ReplaceImageController = require( '../../controllers/replace-image.js' ),
-	EditImageController = require( '../../controllers/edit-image.js' ),
-	ImageDetailsView = require( '../image-details.js' ),
-	EditImageView = require( '../edit-image.js' ),
+var Select = wp.media.view.MediaFrame.Select,
 	l10n = wp.media.view.l10n,
 	ImageDetails;
@@ -5044,9 +4979,9 @@
 	createStates: function() {
 		this.states.add([
-			new ImageDetailsController({
+			new wp.media.controller.ImageDetails({
 				image: this.image,
 				editable: false
 			}),
-			new ReplaceImageController({
+			new wp.media.controller.ReplaceImage({
 				id: 'replace-image',
 				library: wp.media.query( { type: 'image' } ),
@@ -5058,5 +4993,5 @@
 				displaySettings: true
 			}),
-			new EditImageController( {
+			new wp.media.controller.EditImage( {
 				image: this.image,
 				selection: this.options.selection
@@ -5066,5 +5001,5 @@
 
 	imageDetailsContent: function( options ) {
-		options.view = new ImageDetailsView({
+		options.view = new wp.media.view.ImageDetails({
 			controller: this,
 			model: this.state().image,
@@ -5082,5 +5017,5 @@
 		}
 
-		view = new EditImageView( { model: model, controller: this } ).render();
+		view = new wp.media.view.EditImage( { model: model, controller: this } ).render();
 
 		this.content.set( view );
@@ -5092,5 +5027,5 @@
 
 	renderImageDetailsToolbar: function() {
-		this.toolbar.set( new Toolbar({
+		this.toolbar.set( new wp.media.view.Toolbar({
 			controller: this,
 			items: {
@@ -5124,5 +5059,5 @@
 			previous = lastState && lastState.id;
 
-		this.toolbar.set( new Toolbar({
+		this.toolbar.set( new wp.media.view.Toolbar({
 			controller: this,
 			items: {
@@ -5171,5 +5106,5 @@
 module.exports = ImageDetails;
 
-},{"../../controllers/edit-image.js":4,"../../controllers/image-details.js":9,"../../controllers/replace-image.js":13,"../edit-image.js":35,"../image-details.js":46,"../toolbar.js":63,"./select.js":44}],43:[function(require,module,exports){
+},{}],43:[function(require,module,exports){
 /*globals wp, _ */
 
@@ -5188,22 +5123,6 @@
  * @mixes wp.media.controller.StateMachine
  */
-var View = require( '../view.js' ),
-	Select = require( './select.js' ),
-	Library = require( '../../controllers/library.js' ),
-	Embed = require( '../embed.js' ),
-	EditImage = require( '../edit-image.js' ),
-	EditSelection = require( '../attachment/edit-selection.js' ),
-	Toolbar = require( '../toolbar.js' ),
-	ToolbarEmbed = require( '../toolbar/embed.js' ),
-	PlaylistSettings = require( '../settings/playlist.js' ),
-	AttachmentsBrowser = require( '../attachments/browser.js' ),
-	SelectionView = require( '../selection.js' ),
-	EmbedController = require( '../../controllers/embed.js' ),
-	EditImageController = require( '../../controllers/edit-image.js' ),
-	GalleryEditController = require( '../../controllers/gallery-edit.js' ),
-	GalleryAddController = require( '../../controllers/gallery-add.js' ),
-	CollectionEditController = require( '../../controllers/collection-edit.js' ),
-	CollectionAddController = require( '../../controllers/collection-add.js' ),
-	FeaturedImageController = require( '../../controllers/featured-image.js' ),
+var Select = wp.media.view.MediaFrame.Select,
+	Library = wp.media.controller.Library,
 	l10n = wp.media.view.l10n,
 	Post;
@@ -5279,10 +5198,10 @@
 
 			// Embed states.
-			new EmbedController( { metadata: options.metadata } ),
-
-			new EditImageController( { model: options.editImage } ),
+			new wp.media.controller.Embed( { metadata: options.metadata } ),
+
+			new wp.media.controller.EditImage( { model: options.editImage } ),
 
 			// Gallery states.
-			new GalleryEditController({
+			new wp.media.controller.GalleryEdit({
 				library: options.selection,
 				editing: options.editing,
@@ -5290,5 +5209,5 @@
 			}),
 
-			new GalleryAddController(),
+			new wp.media.controller.GalleryAdd(),
 
 			new Library({
@@ -5307,9 +5226,9 @@
 
 			// Playlist states.
-			new CollectionEditController({
+			new wp.media.controller.CollectionEdit({
 				type: 'audio',
 				collectionType: 'playlist',
 				title:          l10n.editPlaylistTitle,
-				SettingsView:   PlaylistSettings,
+				SettingsView:   wp.media.view.Settings.Playlist,
 				library:        options.selection,
 				editing:        options.editing,
@@ -5319,5 +5238,5 @@
 			}),
 
-			new CollectionAddController({
+			new wp.media.controller.CollectionAdd({
 				type: 'audio',
 				collectionType: 'playlist',
